SharedEvent (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.facilities
Interface SharedEvent

All Superinterfaces:
  Shareable

All Known Implementing Classes:
  Event

    public interface SharedEvent

extends Shareable

The SharedEvent interface is the base interface for all events.

Events are Shareable Interface Objects (SIO) and must implement this interface.

Event-consuming applications running in other contexts than the context of the application which created and fired an event can only access the methods defined in this interface or its sub-interfaces

This interface defines a method for retrieving the auxiliary (e.g., application-defined) object bound by the source application to the event.

Since:
  Java Card 3.0
See Also:
  `Event`, `EventNotificationListener`

Method Summary
`Object` | `getData()` Returns the auxiliary (e.g., application-defined) data.
`String` | `getSourceURI()` Returns the (canonical) URI of the application or resource which fired this event.
`String` | `getURI()` Returns this event's (canonical) URI.

Method Detail

### getSourceURI

    String getSourceURI()

  Returns the (canonical) URI of the application or resource which fired this event.

  Returns:
    the source application or resource's URI or `EventRegistry.SOURCE_PLATFORM` if the event is a platform event.

### getURI

    String getURI()

  Returns this event's (canonical) URI.

  Returns:
    this event's URI

### getData

    Object getData()

  Returns the auxiliary (e.g., application-defined) data. Developers must account for context isolation and should typically provide data in the form of an SIO or an "implicitly transferable" object.

  Returns:
    the auxiliary data, or `null` if no auxiliary data was set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.